V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Distributions
Ubuntu
Fedora
CentOS
中文资源站
网易开源镜像站
cathedrel
V2EX  ›  Linux

删不掉的 exim4 是什么东西? apt remove exim4 之后重启机器还有,是被黑了吗?

  •  
  •   cathedrel · 80 天前 · 1322 次点击
    这是一个创建于 80 天前的主题,其中的信息可能已经有所发展或是发生改变。

    debian8,最近整理机器的时候发现这台服务器多了一个 exim4 的进程,占用 25 端口,是跟邮件有关的。ssh 进去后 apt remove exim4 删除了一个软件,重启机器后还有这个进程,但是再运行 apt remove exim4 已经是“Package 'exim4' is not installed, so not removed”。启动的用户是 Debian-exim,还有个组也是这个名字。

    debian 系统确实有个正常的 exim4 软件,但是我从来没有装过这个东西,也没有在这台服务器上搞过任何与发邮件有关的动作,印象中刚装好系统的时候是没有这个进程的,如果是个正常软件为何删除重启后还有?如果是被人黑了用来发邮件的话,服务商应该早就给我发警告信了。

    大佬们帮我分析一下这到底是个啥

    10 条回复    2021-09-18 10:36:04 +08:00
    defunct9
        1
    defunct9  
       80 天前 via iPhone
    就是个邮件系统。发送本地邮件
    cathedrel
        2
    cathedrel  
    OP
       80 天前
    @defunct9 我没有安装、设置过这个东西呀,而且删除软件包之后它还不消失?
    Esec
        3
    Esec  
       80 天前 via Android
    8 上如果是服务器版没装 systemd 的话好像是用 service exim4 来管理服务,和视窗不同的是卸载不需要关停运行中的服务,被删文件在进程结束后释放句柄才会物理删除,连现在的 11 都有不少常用包自动建议了 exim4 用来接收本机发的警告邮件,所以不仔细看安装前建议一路下一步经常会重新装回来……
    cathedrel
        4
    cathedrel  
    OP
       80 天前
    @Esec 这台 debian 8 是有 systemd 的,同服务商的另外一台机器也是 debian8 的就没有这个进程,所以应该不是我装的,也不是刚装好 OS 的时候自带的
    xiaket
        5
    xiaket  
       80 天前
    去 apt 的 cache 里看下是什么时候装的, 另外有哪些包是差不多同一时间装的
    sNullp
        6
    sNullp  
       80 天前 via iPhone
    Other Packages Related to exim4

    depends
    recommends
    suggests
    enhances
    dep: debconf (>= 0.5)
    Debian configuration management system
    or debconf-2.0
    virtual package provided by cdebconf, cdebconf-udeb, debconf
    dep: debconf (>= 1.4.69)
    Debian configuration management system
    or cdebconf (>= 0.39)
    Debian Configuration Management System (C-implementation)
    dep: exim4-base (<< 4.94.2-7.1)
    support files for all Exim MTA (v4) packages
    dep: exim4-base (>= 4.94.2-7)
    dep: exim4-daemon-light (>= 4.94.2-7)
    lightweight Exim MTA (v4) daemon
    or exim4-daemon-heavy (>= 4.94.2-7)
    Exim MTA (v4) daemon with extended features, including exiscan-acl
    or exim4-daemon-custom (>= 4.94.2-7)
    Package not available
    msg7086
        7
    msg7086  
       80 天前
    如果你不想要 exim4,可以用 apt 删除 exim4 。

    apt remove exim4-base
    yulgang
        8
    yulgang  
       80 天前
    偷懒 init.d 脚本

    #!/bin/sh
    exit 0;
    huangmingyou
        9
    huangmingyou  
       80 天前
    邮件系统,u1s1,挺好用的。
    julyclyde
        10
    julyclyde  
       79 天前
    @yulgang 现在正常服务都不用 init.d
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3896 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 29ms · UTC 09:17 · PVG 17:17 · LAX 01:17 · JFK 04:17
    ♥ Do have faith in what you're doing.